#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin >> n;
    vector <int> v(n);
    for (int i = 0; i < n; i++) cin >> v[i];
    cout << max(v[0], max(v[1], v[2])) - min(v[0], min(v[1], v[2])) << endl;
    cout << "1 2 3" << endl;
}
